class CreatePartitionLines < ActiveRecord::Migration[6.0]
  def change
    create_table :partition_lines do |t|
      t.integer :p_product_ref_from_id
      t.integer :p_product_ref_to_id
      t.references :partition, foreign_key: true
      t.integer :qte_from
      t.integer :qte_to
      t.text :description
      t.boolean :stock_ok, :default => false
      t.decimal :amount, precision: 15, scale: 2

      t.timestamps
    end
  end
end
